Pricing Datasets

This route provides access to V1 Pricing Datasets, which are user-defined containers for managing custom sets of security prices.

The Pricing Datasets API allows you to manage custom pricing datasets for your firm. Use pricing datasets to organize and store custom prices separate from the global (historical) price source.

Base route/v1/pricing_datasets
EndpointsGET /v1/pricing_datasets /v1/pricing_datasets/:id
POST /v1/pricing_datasets
PUT /v1/pricing_datasets/:id
DELETE /v1/pricing_datasets/:id
ProducesJSON
PaginationNo
Application permissions required"API Access: Create, edit, and delete"
OAuth scopesPRICING_DATASETS_READ (GET), PRICING_DATASETS_WRITE (POST, PUT, DELETE)

🔒 Access requirements

"API Access: Create, edit, and delete" application permission is required. Use PRICING_DATASETS_READ for GET operations and PRICING_DATASETS_WRITE for write operations.

Resource overview

AttributeDescription
nameThe name of the pricing dataset. String. Example: "Q1 2024 Conversion"
commentA description of the pricing dataset. String. Example: "Custom prices for the historical import of Client Group A"
creation_dateWhen the dataset was created. String (ISO 8601). Read-only. Example: "2024-01-13T20:55:44Z"
modified_dateWhen the dataset was last modified. String (ISO 8601). Read-only. Example: "2024-01-13T20:55:44Z"

Get all pricing datasets

Retrieves a list of all custom pricing datasets for the firm.

GET /v1/pricing_datasets

🔑 Authentication

All requests require a base64-encoded API key pair:

Authorization: Basic {base64(key_id:key_secret)}

See Access & Authentication for setup.

curl -X GET "https://{firm}.addepar.com/api/v1/pricing_datasets" \
  -H "Authorization: Basic {credentials}" \
  -H "Addepar-Firm: 1" \
  -H "Accept: application/vnd.api+json"
HTTP/1.1 200

{
  "data": [
    {
      "id": "101",
      "type": "pricing_datasets",
      "attributes": {
        "name": "Q1 2024 Conversion",
        "comment": "Custom prices for the historical import of Client Group A",
        "creation_date": "2024-01-13T20:55:44Z",
        "modified_date": "2024-01-13T20:55:44Z"
      }
    },
    {
      "id": "102",
      "type": "pricing_datasets",
      "attributes": {
        "name": "Bloomberg BVAL",
        "comment": "Prices from the BVAL feed.",
        "creation_date": "2025-05-15T20:00:00Z",
        "modified_date": "2025-05-15T20:00:00Z"
      }
    }
  ]
}

Response codes:

  • 200 OK -- Success. Returns an array of pricing dataset objects (empty array if none exist)
  • 403 Forbidden -- Lacking the necessary permissions to read pricing datasets

Get a pricing dataset by ID

Retrieves a single pricing dataset by its unique ID.

GET /v1/pricing_datasets/:id

curl -X GET "https://{firm}.addepar.com/api/v1/pricing_datasets/101" \
  -H "Authorization: Basic {credentials}" \
  -H "Addepar-Firm: 1" \
  -H "Accept: application/vnd.api+json"
HTTP/1.1 200

{
  "data": {
    "id": "101",
    "type": "pricing_datasets",
    "attributes": {
      "name": "Q1 2024 Conversion",
      "comment": "Custom prices for the historical import of Client Group A",
      "creation_date": "2024-01-13T20:55:44Z",
      "modified_date": "2024-01-13T20:55:44Z"
    }
  }
}

Response codes:

  • 200 OK -- Success
  • 400 Bad Request -- The provided ID is not a valid integer
  • 403 Forbidden -- Lacking the required permissions to read pricing datasets
  • 404 Not Found -- A pricing dataset with the specified ID does not exist or you do not have permission to view it

Create a pricing dataset

Creates a new custom pricing dataset.

POST /v1/pricing_datasets

curl -X POST "https://{firm}.addepar.com/api/v1/pricing_datasets" \
  -H "Authorization: Basic {credentials}" \
  -H "Addepar-Firm: 1" \
  -H "Content-Type: application/vnd.api+json" \
  -H "Accept: application/vnd.api+json" \
  -d '{
    "data": {
      "type": "pricing_datasets",
      "attributes": {
        "name": "My New Source",
        "comment": "A description for my new source."
      }
    }
  }'
HTTP/1.1 201

{
  "data": {
    "id": "103",
    "type": "pricing_datasets",
    "attributes": {
      "name": "My New Source",
      "comment": "A description for my new source.",
      "creation_date": "2025-06-23T19:04:00.000Z",
      "modified_date": "2025-06-23T19:04:00.000Z"
    }
  }
}

Response codes:

  • 201 Created -- The pricing dataset was created successfully
  • 400 Bad Request -- Invalid payload, such as providing an id in the request
  • 403 Forbidden -- Lacking the required permissions to write pricing datasets

Update a pricing dataset

Updates the attributes of an existing pricing dataset.

PUT /v1/pricing_datasets/:id

curl -X PUT "https://{firm}.addepar.com/api/v1/pricing_datasets/101" \
  -H "Authorization: Basic {credentials}" \
  -H "Addepar-Firm: 1" \
  -H "Content-Type: application/vnd.api+json" \
  -H "Accept: application/vnd.api+json" \
  -d '{
    "data": {
      "id": "101",
      "type": "pricing_datasets",
      "attributes": {
        "name": "Q1 2024 Conversion (Updated)",
        "comment": "Updated comment."
      }
    }
  }'
HTTP/1.1 200

{
  "data": {
    "id": "101",
    "type": "pricing_datasets",
    "attributes": {
      "name": "Q1 2024 Conversion (Updated)",
      "comment": "Updated comment.",
      "creation_date": "2024-01-13T20:55:44Z",
      "modified_date": "2025-07-24T15:30:00Z"
    }
  }
}

Response codes:

  • 200 OK -- Success
  • 400 Bad Request -- The ID in the request body is missing, does not match the URL path ID, or the path ID is not a valid integer
  • 403 Forbidden -- Lacking the required permissions to write pricing datasets
  • 404 Not Found -- A pricing dataset with the specified ID does not exist

Delete a pricing dataset

Deletes a pricing dataset and all of its associated prices.

DELETE /v1/pricing_datasets/:id

⚠️ Irreversible

Deleting a pricing dataset also removes all associated price values.

curl -X DELETE "https://{firm}.addepar.com/api/v1/pricing_datasets/101" \
  -H "Authorization: Basic {credentials}" \
  -H "Addepar-Firm: 1"
HTTP/1.1 204

Response codes:

  • 204 No Content -- The pricing dataset was deleted successfully, or no dataset with the specified ID exists
  • 400 Bad Request -- The pricing dataset cannot be deleted due to a validation error
  • 403 Forbidden -- Lacking the required permissions to write pricing datasets
  • 500 Internal Server Error -- An unexpected error occurred while deleting the pricing dataset

📘 Related resources

Pricing Dataset Values | Historical Prices


Did this page help you?